Package com.oracle.truffle.api.object

## Interface DoubleLocation

All Superinterfaces:
  `BaseLocation`, `TypedLocation`

All Known Implementing Classes:
  `BasicLocations.DoubleLocationDecorator`

    public interface DoubleLocation
    extends TypedLocation

### Method Summary

All Methods Instance Methods Abstract Methods
`double` `getDouble​(DynamicObject store, boolean condition)`
`double` `getDouble​(DynamicObject store, Shape shape)`
`java.lang.Class<java.lang.Double>` `getType()` The type of this location.
`void` `setDouble​(DynamicObject store, double value)`
`void` `setDouble​(DynamicObject store, double value, Shape shape)`
`void` `setDouble​(DynamicObject store, double value, Shape oldShape, Shape newShape)`

### Methods inherited from interface com.oracle.truffle.api.object.BaseLocation

`get, get, set, set, set`

### Method Detail

#### getDouble

    double getDouble​(DynamicObject store,
                     Shape shape)

See Also:
  `BaseLocation.get(DynamicObject, Shape)`

#### getDouble

    double getDouble​(DynamicObject store,
                     boolean condition)

See Also:
  `BaseLocation.get(DynamicObject, boolean)`

#### setDouble

    void setDouble​(DynamicObject store,
                   double value)
            throws FinalLocationException

Throws:
  `FinalLocationException`
See Also:
  `BaseLocation.set(DynamicObject, Object)`

#### setDouble

    void setDouble​(DynamicObject store,
                   double value,
                   Shape shape)
            throws FinalLocationException

Throws:
  `FinalLocationException`
See Also:
  `BaseLocation.set(DynamicObject, Object, Shape)`

#### setDouble

    void setDouble​(DynamicObject store,
                   double value,
                   Shape oldShape,
                   Shape newShape)

See Also:
  `BaseLocation.set(DynamicObject, Object, Shape, Shape)`

#### getType

    java.lang.Class<java.lang.Double> getType()

Description copied from interface: `TypedLocation`
The type of this location.

Specified by:
  `getType` in interface `TypedLocation`